ports.h File Reference

Go to the source code of this file.

## Macros

#define | OSMO_CTRL_PORT_TRX 4236
#define | OSMO_CTRL_PORT_BTS 4238
#define | OSMO_CTRL_PORT_NITB_BSC 4249
#define | OSMO_CTRL_PORT_BSC_NAT 4250
#define | OSMO_CTRL_PORT_SGSN 4251
#define | OSMO_CTRL_PORT_MSC 4255
#define | OSMO_CTRL_PORT_GGSN 4257
#define | OSMO_CTRL_PORT_HLR 4259
#define | OSMO_CTRL_PORT_HNBGW 4262
#define | OSMO_CTRL_PORT_GBPROXY 4263

## Detailed Description

TCP port numbers used for CTRL interfaces in osmocom projects. See also the osmocom wiki as well as the osmo-gsm-manuals, which should all be kept in sync with this file: https://osmocom.org/projects/cellular-infrastructure/wiki/PortNumbers https://git.osmocom.org/osmo-gsm-manuals/tree/common/chapters/port_numbers.adoc

## Macro Definition Documentation

## OSMO_CTRL_PORT_BSC_NAT

#define OSMO_CTRL_PORT_BSC_NAT 4250

## OSMO_CTRL_PORT_BTS

#define OSMO_CTRL_PORT_BTS 4238

## OSMO_CTRL_PORT_GBPROXY

#define OSMO_CTRL_PORT_GBPROXY 4263

## OSMO_CTRL_PORT_GGSN

#define OSMO_CTRL_PORT_GGSN 4257

## OSMO_CTRL_PORT_HLR

#define OSMO_CTRL_PORT_HLR 4259

## OSMO_CTRL_PORT_HNBGW

#define OSMO_CTRL_PORT_HNBGW 4262

## OSMO_CTRL_PORT_MSC

#define OSMO_CTRL_PORT_MSC 4255

## OSMO_CTRL_PORT_NITB_BSC

#define OSMO_CTRL_PORT_NITB_BSC 4249

## OSMO_CTRL_PORT_SGSN

#define OSMO_CTRL_PORT_SGSN 4251

## OSMO_CTRL_PORT_TRX

#define OSMO_CTRL_PORT_TRX 4236